.tab-title-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0.5rem;
}

.tab-title > h4 {
    margin: 0;
}

.tab-subtitle {
    font-size: clamp(0.75rem, 0.5vw + 0.65rem, 0.95rem);
}

.tab-title {
    cursor: pointer;
    padding: 0.5rem 2rem;
    border-radius: 0.4rem;
    transition: background-color 0.3s ease;
}

.tab-title.active {
    color: var(--primary);
    background-color: #f1f1f1;
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: block;
}

.tab-structured-content-wrapper,
.tab-inner-content {
    padding: 1rem;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
}

.tab-separator {
    margin: 0;
}

.tab-author,
.tab-date {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
    font-size: 0.85rem;
}

.tab-title-structured {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 0;
}

.tab-meta {
    display: flex;
    flex-direction: column;
}

.tab-link {
    /* p tags have margin-bottom by default. change this later */
    margin-top: 8.6px;
    margin-bottom: 20.400px;
    background-color: var(--primary);
    color: #fff;
    text-decoration: none;
    padding: 0.3rem 1.5rem;
    border-radius: 0.3rem;
    text-align: center;
}

.tab-link:hover {
    opacity: 0.9;
    color: #fff;
}

.tab-link:visited {
    color: #fff;
}

.tab-structured-content:not(:nth-last-child(1)) {
    border-bottom: 1px solid #ccc;
}

.tab-link-wrapper {
    margin-bottom: 1rem;
}

@media (min-width: 640px) {
    .tab-title-wrapper {
        flex-direction: row;
      }
}